<?php
/**
 * @package WordPress
 * @subpackage Neptune Theme
 */
$options = get_option( 'neptune_theme_settings' ); ?>

<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>

    <meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
    <title><?php wp_title(''); ?><?php if(wp_title('', false)) { echo ' |'; } ?> <?php bloginfo('name'); ?></title>
    
    <?php if($options['favicon'] !='') { ?>
        <link rel="icon" type="image/png" href="<?php echo $options['favicon']; ?>" />
    <?php } ?>
    
    <!-- WP Head -->
    <?php wp_head(); ?>

</head>
<body <?php body_class(); ?>>

<div id="header" class="clearfix">
        <div id="logo">
        	<?php
            	if($options['upload_mainlogo'] !='') { ?>
					<a href="<?php echo home_url(); ?>/" title="<?php bloginfo( 'name' ); ?>"><img src="<?php echo $options['upload_mainlogo']; ?>" alt="<?php bloginfo( 'name' ) ?>" /></a>
			 	<?php } else { ?>
            	<a href="<?php echo home_url(); ?>/" title="<?php bloginfo( 'name' ); ?>"><?php bloginfo( 'name' ) ?></a>
            <?php } ?>
            <span class="description">// <?php bloginfo( 'description' ); ?></span>
            
        </div><!-- END logo -->
        
        <div id="navigation" class="clearfix">
            <?php
            //define main navigation
            wp_nav_menu( array(
                'theme_location' => 'menu',
                'sort_column' => 'menu_order',
                'menu_class' => 'sf-menu',
                'fallback_cb' => false
            )); ?>
        </div><!-- END navigation -->   
</div><!-- END header -->

<div id="wrap" class="clearfix">